package com.ruoyi.custclient.mapper;

import java.util.List;
import com.ruoyi.custclient.domain.CustInfo;

/**
 * 客户信息Mapper接口
 * 
 * @author wuyufei
 * @date 2024-10-21
 */
public interface CustInfoMapper 
{
    /**
     * 查询客户信息
     * 
     * @param custId 客户信息主键
     * @return 客户信息
     */
    public CustInfo selectCustInfoByCustId(Long custId);

    /**
     * 查询客户信息列表
     * 
     * @param custInfo 客户信息
     * @return 客户信息集合
     */
    public List<CustInfo> selectCustInfoList(CustInfo custInfo);

    /**
     * 新增客户信息
     * 
     * @param custInfo 客户信息
     * @return 结果
     */
    public int insertCustInfo(CustInfo custInfo);

    /**
     * 修改客户信息
     * 
     * @param custInfo 客户信息
     * @return 结果
     */
    public int updateCustInfo(CustInfo custInfo);

    /**
     * 删除客户信息
     * 
     * @param custId 客户信息主键
     * @return 结果
     */
    public int deleteCustInfoByCustId(Long custId);

    /**
     * 批量删除客户信息
     * 
     * @param custIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCustInfoByCustIds(Long[] custIds);
}
